Username: Password:

Author Topic: Cannot connect to Kraken after upgrading from V23 to V24  (Read 116 times)

Offline bney

  • Rookie
  • *
  • Posts: 32
    • View Profile
Cannot connect to Kraken after upgrading from V23 to V24
« on: October 30, 2022, 07:09:39 PM »
Once I start the bot in Version 24, I get the below errors. This config works fine under V23. Help please

InvalidNonce: kraken {"error":["EAPI:Invalid nonce"]}
    at kraken.handleErrors (C:\snapshot\enricoranucci\Documents\GitHub\Mio\node_modules\ccxt.proWs\node_modules\ccxt\js\kraken.js:1751:19)
    at C:\snapshot\enricoranucci\Documents\GitHub\Mio\node_modules\ccxt.proWs\node_modules\ccxt\js\base\Exchange.js:600:18
    at processTicksAndRejections (internal/process/task_queues.js:97:5)
    at async timeout (C:\snapshot\enricoranucci\Documents\GitHub\Mio\node_modules\ccxt.proWs\node_modules\ccxt\js\base\functions\time.js)
    at async kraken.fetchMyTrades (C:\snapshot\enricoranucci\Documents\GitHub\Mio\node_modules\ccxt.proWs\node_modules\ccxt\js\kraken.js:1346:26) {
  constructor: [Function: InvalidNonce]
}
Error: Fetching my trades again.{"name":"InvalidNonce"}
    at errorHandler (C:\snapshot\enricoranucci\Documents\GitHub\Mio\ctx\js\kraken.js)
    at processTicksAndRejections (internal/process/task_queues.js:97:5)
{}
Unable to connect to kraken

If I use the bot settings from my V23 and insert them into the V24 config file, I dont get the error but while the dashboard says the bot is running, the pair is stuck at loading and The output file looks like the below and seems to be telling me that my license is not valid

Loading config...
GUI Server Deployed: http://localhost:5500
Ping not available...
403 - "{\"isValidLicense\":false,\"isFree\":false}"

« Last Edit: October 30, 2022, 07:27:11 PM by bney »